<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:variable name="strTitlePart1"><!--XLATESTART--> <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOfflineWarningTitle"><!--XLATESTART-->物理ディスクをオフラインにするとデータが失われます。 この物理ディスクをオフラインにしますか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOnlineWarningTitle"><!--XLATESTART-->物理ディスクをオンラインにしても、仮想ディスクのパリティまたはデータは検証されません。 物理ディスクが故障中に仮想ディスクにデータが書き込まれた場合、故障した物理ディスクをオンラインにするとデータが失われることがあります。 オンラインタスクが完了した後、物理ディスクの自動再構築を完了させるか、仮想ディスクの整合性チェックを開始することを強くお勧めします。 この物理ディスクをオンラインにしますか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strClearWarningTitle"><!--XLATESTART-->物理ディスクをクリアすると、物理ディスクに存在するデータは削除されます。 この物理ディスクをクリアしますか?<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strEraseASecureDiskWarningTitle"><!--XLATESTART-->「暗号消去」操作を実行すると、ディスク上のデータはすべて永久に失われます。続行してもよろしいですか?<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strEraseASecureDiskWarningTitlePCIeSSD"><!--XLATESTART-->「完全初期化」操作を実行すると、ディスク上のデータはすべて永久に失われます。 続行してもよろしいですか?<!--XLATESTOP--></xsl:variable>
	  <xsl:variable name="strCryptographicEraseASecureDiskWarningTitlePCIeSSD"><!--XLATESTART-->「暗号消去」操作を実行すると、ディスク上のデータはすべて永久に失われます。 続行してもよろしいですか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancelClearWarningTitle"><!--XLATESTART-->この物理ディスクのクリアタスクをキャンセルしますか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGHSWarningTitle"><!--XLATESTART-->物理ディスクをグローバルホットスペアとして割り当てると、物理ディスクにあるすべてのデータが失われます。 物理ディスクをグローバルホツトスペアとして割り当てる前に、物理ディスクにデータがないことを確認してください。 この物理ディスクをグローバルホットスペアとして割り当てますか?<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove button description -->
	<xsl:variable name="strPrepareWarningTitle"><!--XLATESTART--> 警告：この物理ディスクの取り外しを準備してもよろしいですか ?<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strPrepareWarningTitlePCIeSSD"><!--XLATESTART--> 警告：この物理デバイスの取り外しを準備してもよろしいですか ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareWarningTitleHard"><!--XLATESTART--> 警告：この物理ディスクの取り外しを準備してもよろしいですか ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubHeaderPart1"><!--XLATESTART-->物理ディスク<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubHeaderPart2"><!--XLATESTART--> <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancel"><!--XLATESTART-->前 <!--XLATESTOP--></xsl:variable>
	<!-- DFCT139174 - GUI: Incorrect Prepare to Remove page for Hard Disks connected to NRS channel -->
	<!-- Indravijay J. Gohil Using conditionals on  non raid drives to see which title/headers/button id's to use -->
	<xsl:variable name="strCancel2"><!--XLATESTART-->前<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strBlink"><!--XLATESTART-->仮想ディスクの点滅<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOnline"><!--XLATESTART-->オンライン<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOffline"><!--XLATESTART-->オフライン<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strClear"><!--XLATESTART-->クリア<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGHS"><!--XLATESTART-->グローバルホットスペアの割り当て<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancelClear"><!--XLATESTART-->クリアのキャンセル<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove button description -->
	<xsl:variable name="strPrepare"><!--XLATESTART-->物理ディスクの取り外し準備<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strPreparePCIeSSD"><!--XLATESTART-->物理デバイスの取り外し準備<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareHard"><!--XLATESTART-->物理ディスクの取り外し準備<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139174 - GUI: Incorrect Prepare to Remove page for Hard Disks connected to NRS channel -->
	<!-- Indravijay J. Gohil Using conditionals on  non raid drives to see which title/headers/button id's to use -->
	<xsl:variable name="strArrayDisk"><!--XLATESTART-->物理ディスク<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strHardDisk"><!--XLATESTART-->物理ディスク<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove adisk message -->
	<xsl:variable name="strRUSurePrepare"><!--XLATESTART-->この物理ディスクの取り外しを準備しますか?<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strRUSurePreparePCIeSSD"><!--XLATESTART-->この物理デバイスの取り外しを準備しますか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSurePrepareHard"><!--XLATESTART-->この物理ディスクの取り外しを準備しますか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureOnline"><!--XLATESTART-->この物理ディスクをオンラインにしますか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureOffline"><!--XLATESTART-->この物理ディスクをオフラインにしますか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureClear"><!--XLATESTART-->この物理ディスクをクリアしますか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureCancelClear"><!--XLATESTART-->この物理ディスクでのクリアをキャンセルしますか?<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strRUSureEraseASecureDisk"><!--XLATESTART-->この物理デバイスで「暗号消去」を実行してもよろしいですか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureGHS"><!--XLATESTART-->この物理ディスクをグローバルホットスペアとして割り当てますか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSure2"><!--XLATESTART--> <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSure3"><!--XLATESTART--> <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strQuestionMark"><!--XLATESTART-->?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strEraseASecureDisk"><!--XLATESTART-->暗号化ディスクの消去<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureEraseASecureDiskPCIeSSD"><!--XLATESTART-->この物理デバイスで「完全初期化」を実行してもよろしいですか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureCryptographicEraseASecureDiskPCIeSSD"><!--XLATESTART-->この物理デバイスで「暗号消去」を実行してもよろしいですか?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strEraseASecureDiskWarningMountTitlePart1"><!--XLATESTART-->「暗号消去」操作を実行すると、ディスク上のデータはすべて永久に失われます。このデバイスは現在マウントされており（<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strEraseASecureDiskWarningMountTitlePart2"><!--XLATESTART-->）まだ使用中の可能性があります。続行する前に割り当てを解除することをお勧めします。続行しますか ?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCryptographicEraseASecureDiskWarningIOHandleTitle"><!--XLATESTART-->「暗号消去」操作を実行すると、ディスク上のデータはすべて永久に失われます。このデバイスはまだ使用中である可能性があります。続行する前に、デバイスにアクセスしているすべてのアプリケーションを停止することをお勧めします。続行してもよろしいですか?<!--XLATESTOP--></xsl:variable>
    <xsl:variable name="strPrepareToRemoveMessage1Part1"><!--XLATESTART-->現在このデバイスはマウントされており（マウントポイント = <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareToRemoveMessage1Part2"><!--XLATESTART-->）、まだ使用中の可能性があります。ファイルシステムのマウントを解除したうえで続行することをお勧めします。続行してよろしいですか?<!--XLATESTOP--></xsl:variable>
    <xsl:variable name="strPrepareToRemoveMessage2"><!--XLATESTART-->このデバイスはまだ使用中です。続行するには、その前にこのデバイスにアクセスしているアプリケーションをすべて停止する必要があります。続行しますか?<!--XLATESTOP--></xsl:variable>
    <xsl:variable name="strPrepareToRemoveMessage3"><!--XLATESTART-->デバイスにアクセスしているアプリケーションをすべて停止したうえで続行することをお勧めします。物理デバイスを取り外す準備をしますか?<!--XLATESTOP--></xsl:variable>
    <xsl:variable name="strPrepareToRemoveMessage1Part1Win"><!--XLATESTART-->現在このデバイスはマウントされており（ドライブ文字 / パス = <!--XLATESTOP--></xsl:variable>
    <xsl:variable name="strPrepareToRemoveMessage1Part2Win"><!--XLATESTART--> ）、まだ使用中の可能性があります。ドライブ文字の割り当てを解除したうえで続行することをお勧めします。続行してよろしいですか?<!--XLATESTOP--></xsl:variable>    
</xsl:stylesheet>
